Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Module_Base Class Reference

Workaround HP/C++ compiler bug with enums in templates. More...

`#include <Module.h>`

Inheritance diagram for ACE_Module_Base:

[legend]
List of all members.

## Public Types
enum | { M_DELETE_NONE = 0, M_DELETE_READER = 1, M_DELETE_WRITER = 2, M_DELETE = 3 }

## Detailed Description

Workaround HP/C++ compiler bug with enums in templates.

Certain C++ compilers, e.g., the HP/UX 10.x and 9.x compilers, seem to fail if enums are defined inside a template, hence we have to move them into a base class.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  M_DELETE_NONE | Indicates that <close> should not delete any Tasks.
  M_DELETE_READER | Indicates that <close> should delete the writer Task.
  M_DELETE_WRITER | Indicates that <close> should delete the reader Task.
  M_DELETE | Indicates that <close> deletes the Tasks. Don't change this value without updating the same enum in class ACE_Stream... The <m_delete_reader> and <m_delete_writer> flags may be or'ed together.

The documentation for this class was generated from the following file:

- Module.h